import * as react_jsx_runtime from 'react/jsx-runtime';
import { SVGProps } from 'react';

declare function TableSortInactiveIcon(props: SVGProps<SVGSVGElement>): react_jsx_runtime.JSX.Element;
declare function TableSortAscendingIcon(props: SVGProps<SVGSVGElement>): react_jsx_runtime.JSX.Element;
declare function TableSortDescendingIcon(props: SVGProps<SVGSVGElement>): react_jsx_runtime.JSX.Element;
type TableSortIndicatorState = "asc" | "desc" | "inactive";
declare function TableSortIndicatorIcon({ state, className, }: {
    state: TableSortIndicatorState;
    className?: string;
}): react_jsx_runtime.JSX.Element;

export { TableSortAscendingIcon, TableSortDescendingIcon, TableSortInactiveIcon, TableSortIndicatorIcon, type TableSortIndicatorState };
